BizKitHub
DocsAPI ReferenceAdmin/bff/admin/user-upload-avatar
postAdminAdmin BFF

/bff/admin/user-upload-avatar

Uploads an image to blob storage and sets cas__user.avatar_blob_id. Writes an admin.upload_user_avatar activity row. Requires internal admin membership.

AdminpostBffAdminUser-upload-avatar

Parameters

JSON body

Request body

application/json
userIdstringRequired

16-char external id of the user.

filestringRequiredbinary

Image file to use as the new avatar.

Default: File

Response schema

1 status code documented

200Success
successbooleanRequired
avatarUrlstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false
}

Request example

POST /bff/admin/user-upload-avatar

post
curl -X POST "https://api.bizkithub.com/bff/admin/user-upload-avatar" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "userId": "example_userId",
  "file": "File"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key